package uy.edu.fing.tse.jsf.session;

import uy.edu.fing.tse.dto.UserBO;

import javax.enterprise.context.SessionScoped;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.http.HttpServletResponse;
import java.io.Serializable;

@SessionScoped
@Named("sessionBean")
public class SessionBean implements Serializable {

    private static final long serialVersionUID = 9062153372176877309L;

    private String token = null;

    private UserBO user = null;

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public UserBO getUser() {
        return user;
    }

    public void setUser(UserBO user) {
        this.user = user;
    }

    public void putToken() {
        if (token == null) {
            return;
        }
        HttpServletResponse response = (HttpServletResponse) FacesContext.getCurrentInstance().getExternalContext().getResponse();
        response.setHeader("Authorization", "Bearer " + token);
    }
}
